package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.Msgs;
import org.springframework.stereotype.Component;


/**
 * (Msgs)表服务接口
 *
 * @author makejava
 * @since 2024-02-29 18:05:38
 */

@Component
public interface MsgsService {

    /**
     * 通过ID查询单条数据
     *
     * @param msgId 主键
     * @return 实例对象
     */
    Msgs queryById(Integer msgId);

    /**
     * 新增数据
     *
     * @param msgs 实例对象
     * @return 实例对象
     */
    Msgs insert(Msgs msgs);

    /**
     * 修改数据
     *
     * @param msgs 实例对象
     * @return 实例对象
     */
    Msgs update(Msgs msgs);

    /**
     * 通过主键删除数据
     *
     * @param msgId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer msgId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
